Package org.apache.avro.ipc

# Class SaslSocketServer

java.lang.Object
java.lang.Thread
org.apache.avro.ipc.SocketServer
org.apache.avro.ipc.SaslSocketServer

All Implemented Interfaces:
  `Runnable`, `Server`

public class SaslSocketServer extends SocketServer
A `Server` that uses `javax.security.sasl` for authentication and encryption.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Thread

`Thread.State, Thread.UncaughtExceptionHandler`

## Field Summary

### Fields inherited from class java.lang.Thread

`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

## Constructor Summary

Constructors
Constructor
Description
`SaslSocketServer(Responder responder, SocketAddress addr)`
Create using SASL's anonymous (RFC 2245) mechanism.
`SaslSocketServer(Responder responder, SocketAddress addr, String mechanism, String protocol, String serverName, Map<String,?> props, CallbackHandler cbh)`
Create using the specified `SaslServer` parameters.

## Method Summary

Modifier and Type
Method
Description
`protected Transceiver`
`getTransceiver(SocketChannel channel)`
Creates an appropriate `Transceiver` for this server.

### Methods inherited from class org.apache.avro.ipc.SocketServer

`close, getPort, main, run`

### Methods inherited from class java.lang.Thread

`activeCount, checkAccess, clone, countStackFrames, currentThread, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, onSpinWait, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, suspend, toString, yield`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.avro.ipc.Server

`join, start`

## Constructor Details

### SaslSocketServer

public SaslSocketServer(Responder responder, SocketAddress addr) throws IOException
Create using SASL's anonymous (RFC 2245) mechanism.

Throws:
  `IOException`

### SaslSocketServer

public SaslSocketServer(Responder responder, SocketAddress addr, String mechanism, String protocol, String serverName, Map<String,?> props, CallbackHandler cbh) throws IOException
Create using the specified `SaslServer` parameters.

Throws:
  `IOException`

## Method Details

### getTransceiver

protected Transceiver getTransceiver(SocketChannel channel) throws IOException
Description copied from class: `SocketServer`
Creates an appropriate `Transceiver` for this server. Returns a `SocketTransceiver` by default.

Overrides:
  `getTransceiver` in class `SocketServer`
Throws:
  `IOException`